<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            <table id="table" border="1"></table>
        </div>
        <script>
            function assignEvents(e) {
                var number = parseInt(prompt("Enter the base number: "));
                var exponent = parseInt(prompt("Enter the exponent number: "));
                calculateTable(number, exponent);
                function calculateTable(number, exponent) {
                    var table = document.getElementById("table");
                    tr = document.createElement("tr");
                    table.appendChild(tr);
                    for (i = 1; i <= exponent; i++) {
                        td = document.createElement("td");
                        tr.appendChild(td);
                        var node = document.createTextNode(""+number+"*"+i+"="+(number*i));
                        td.appendChild(node);
                    }
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
